# pb_ds::hash_exponential_size_policy< Size_Type > Class Template Reference

List of all members.

## Detailed Description

### template<typename Size_Type = size_t>
class pb_ds::hash_exponential_size_policy< Size_Type >

Definition at line 406 of file hash_policy.hpp.

## Public Types

- typedef Size_Type size_type

## Public Member Functions

- hash_exponential_size_policy (size_type start_size=8, size_type grow_factor=2)
- void swap (hash_exponential_size_policy< Size_Type > &other)

## Protected Member Functions

- size_type get_nearest_larger_size (size_type size) const
- size_type get_nearest_smaller_size (size_type size) const

The documentation for this class was generated from the following file:

- hash_policy.hpp